> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Positions

> Retrieve your open positions.



## OpenAPI

````yaml GET /account/positions
openapi: 3.1.0
info:
  title: Options API
  version: 1.0.0
  description: >-
    REST endpoints for Rails Options. Base URLs vary by environment — see the
    Environments page. Authorize with the access token obtained from the Auth
    API.
servers:
  - url: https://api-options.sandbox.rails.xyz
security:
  - bearerAuth: []
paths:
  /account/positions:
    get:
      summary: Get Positions
      description: Returns your open options positions.
      operationId: getOptionsPositions
      responses:
        '200':
          description: Open positions
          content:
            application/json:
              schema:
                type: object
                properties:
                  positions:
                    type: array
                    items:
                      type: object
                      properties:
                        market:
                          type: string
                          description: Contract name.
                        side:
                          type: string
                          description: '`long` or `short`.'
                        optionType:
                          type: string
                          description: '`C` or `P`.'
                        qty:
                          type: string
                          description: Position quantity.
                        value:
                          type: string
                          description: Position value.
                        entryPrice:
                          type: string
                          description: Average entry price.
                        markPrice:
                          type: string
                          description: Current mark price.
                        markIV:
                          type: string
                          description: Mark implied volatility.
                        underlyingPrice:
                          type: string
                          description: Underlying index price.
                        liqPrice:
                          type: string
                          description: Liquidation price; `--` when not applicable.
                        breakEvenPrice:
                          type: string
                          description: Break-even price.
                        initialMargin:
                          type: string
                          description: >-
                            Initial margin for short positions; `--` for long
                            positions.
                        realizedPnl:
                          type: string
                          description: Realized PnL.
                        unrealizedPnl:
                          type: string
                          description: Unrealized PnL.
              example:
                positions:
                  - market: BTC-3JUL26-62000-C
                    side: long
                    optionType: C
                    qty: '2'
                    value: '298.32'
                    entryPrice: '120.00'
                    markPrice: '149.16'
                    markIV: '0.3035'
                    underlyingPrice: '61650.00'
                    liqPrice: '--'
                    breakEvenPrice: '62120.00'
                    initialMargin: '--'
                    realizedPnl: '0.00'
                    unrealizedPnl: '58.32'
                  - market: BTC-3JUL26-60000-P
                    side: short
                    optionType: P
                    qty: '-3'
                    value: '-36.57'
                    entryPrice: '15.00'
                    markPrice: '12.19'
                    markIV: '0.3925'
                    underlyingPrice: '61650.00'
                    liqPrice: '58100.00'
                    breakEvenPrice: '59985.00'
                    initialMargin: '22829.07'
                    realizedPnl: '0.00'
                    unrealizedPnl: '8.43'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````